package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("DM_BCLQJBP")
@ApiModel(value="DmBclqjbp对象", description="")
public class DmBclqjbp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM")
    private String dcCm;

    @ApiModelProperty(value = "批量")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "定额类型")
    @TableField("DELX")
    private String delx;

    @ApiModelProperty(value = "组立")
    @TableField("XMBH")
    private String xmbh;

    @ApiModelProperty(value = "组立")
    @TableField("YBZS")
    private BigDecimal ybzs;

    @ApiModelProperty(value = "计算米数")
    private BigDecimal jsms;

    @ApiModelProperty(value = "实耗米数")
    private BigDecimal shms;

    @TableField("SHZL")
    private BigDecimal shzl;

    @TableField("XL")
    private BigDecimal xl;

    @TableField("DC_PL")
    private String dcPl;

    @TableField("ZDRQ")
    private String zdrq;

    @TableField("ZXDW")
    private String zxdw;

    @TableField("YLZD6")
    private BigDecimal ylzd6;

    @TableField("LQMJ")
    private BigDecimal lqmj;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("LJZL")
    private BigDecimal ljzl;

    @TableField("YLZL")
    private BigDecimal ylzl;

    @TableField("DERQ")
    private String derq;

    @TableField("YLZD4")
    private BigDecimal ylzd4;

    @TableField("ZZCJ")
    private String zzcj;

    @TableField("TZBH")
    private String tzbh;

    @TableField("YLZD1")
    private String ylzd1;

    @TableId(value = "LQBH", type = IdType.ASSIGN_UUID)
    private String lqbh;

    @TableField("BZ")
    private String bz;

    @TableField("LQZL")
    private BigDecimal lqzl;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("LQLB")
    private String lqlb;

    @TableField("ZDR")
    private String zdr;

    @TableField("QPYLD")
    private BigDecimal qpyld;

    @TableField("YLZD5")
    private BigDecimal ylzd5;

    @TableField("CJDQ")
    private BigDecimal cjdq;


}
