package com.dsic.gj_erp.controller.jcsj;


import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.EmSbwxjh;
import com.dsic.gj_erp.bean.jcsj.Ydjhzz;
import com.dsic.gj_erp.bean.request.EmSbwxjhBean;
import com.dsic.gj_erp.mapper.jhgk.DmYdjhMapper;
import com.dsic.gj_erp.service.jcsj.EmSbwxjhService;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@RestController
@RequestMapping("/ydjhzz")
@Api(tags = "月度计划追踪")
public class YdjhzzController {
    @Autowired
    private DmYdjhMapper mapper;

    @ApiOperation(value = "查询")
    @PostMapping(value = "/getList")
    public ResultBean getList(@RequestParam String ch) {
        List<Ydjhzz> list=mapper.getYdjhzz(ch);
        return new ResultBean(list);
    }

    public static  void main(String[] agrs){
        String[] a= {"bclqzl_lm1",
                "bclqzl_s1",
                "bclqzl_sx2",
                "bclqzl_szd2",
                "bclqzl_xf",
                "bclqzl_df",
                "bclqzl_xzhb",
                "bclqzl_dzhb",
                "bclqzl_sx4",
                "bclqzl_jz4",
                "bclqzl_xm",
                "bclqzl_dm",
                "bclqzl_sx3",
                "bclqzl_sj3",
                "bclqzl_szd3",
                "bclqzl_xzxc",
                "bclqzl_xz",
                "bclqzl_dzxc",
                "bclqzl_dz",
                "bclqzl_fg",
                "bclqzl_szd4",
                "bclqzl_sq2x",
                "bclqzl_sq2d",
                "bclqzl_xq3",
                "bclqzl_dq3",
                "bclqzl_gd",
                "bclqzl_xflj",
                "bclqzl_dflj",
                "bcshzl_lm1",
                "bcshzl_s1",
                "bcshzl_sx2",
                "bcshzl_szd2",
                "bcshzl_xf",
                "bcshzl_df",
                "bcshzl_xzhb",
                "bcshzl_dzhb",
                "bcshzl_sx4",
                "bcshzl_jz4",
                "bcshzl_xm",
                "bcshzl_dm",
                "bcshzl_sx3",
                "bcshzl_sj3",
                "bcshzl_szd3",
                "bcshzl_xzxc",
                "bcshzl_xz",
                "bcshzl_dzxc",
                "bcshzl_dz",
                "bcshzl_fg",
                "bcshzl_szd4",
                "bcshzl_sq2x",
                "bcshzl_sq2d",
                "bcshzl_xq3",
                "bcshzl_dq3",
                "bcshzl_gd",
                "bcshzl_xflj",
                "bcshzl_dflj",
        };
        for (String s : a) {
//            System.out.println("    @TableField(\""+s+"\")\n" +
//                    "    private Double "+s+";");

            System.out.println("  <result column=\""+s+"\" property=\""+s+"\"/>");
        }

    }


}

